#include <Adafruit_MAX31855tiny.h>
#include <SoftwareSerial.h>

#define MAXDO   1
#define MAXCS   0
#define MAXCLK  2

// initialize the Thermocouple
Adafruit_MAX31855 thermocouple(MAXCLK, MAXCS, MAXDO);

// Example creating a thermocouple instance with hardware SPI
// on a given CS pin.
//#define MAXCS   10
//Adafruit_MAX31855 thermocouple(MAXCS);
const int rx=3;
const int tx=4;
SoftwareSerial mySerial(rx,tx);

void setup() {
  mySerial.begin(9600);
 
  //while (!Serial) delay(1); // wait for Serial on Leonardo/Zero, etc
  delay(500);
  mySerial.println("MAX31855 test");
  // wait for MAX chip to stabilize
  //delay(500);
}

void loop() {
  

  
   double c = thermocouple.readCelsius();
  // mySerial.println(c);
  mySerial.println(c);
     /*
   if (isnan(c)) {
     mySerial.println("Something wrong with thermocouple!");
   } else {
     mySerial.println(c);
   }
   
   */
   delay(500);
   
  
}
